# Suno Music Generator

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782688568476921856) to try this widget and copy the Pro Config template.

## Usage

Generate a song with Suno-API. The input prompt is the lyrics for the song.

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>prompt</td><td><code>string</code></td><td>lyrics</td><td>We were both young when I first saw you, I close my eyes and the flashback starts I'm standin' there</td><td>true</td></tr><tr><td>mv</td><td><code>string</code></td><td>model version, default: chirp-v3-0</td><td>chirp-v3-0</td><td>false</td></tr><tr><td>title</td><td><code>string</code></td><td>song title</td><td>love story</td><td>true</td></tr><tr><td>tags</td><td><code>string</code></td><td>style of music</td><td>romantic,slow rock</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name    | Type    | Description                                                                        | File Type |
| ------- | ------- | ---------------------------------------------------------------------------------- | --------- |
| results | `array` | The result of suno api, containing the links, titles, and other useful information |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "results": [
    {
      "audio_url": "https://cdn1.suno.ai/70b42142-d62c-478e-aa5e-70d50147ff9c.mp3",
      "image_large_url": "https://cdn1.suno.ai/image_large_70b42142-d62c-478e-aa5e-70d50147ff9c.png",
      "image_url": "https://cdn1.suno.ai/image_70b42142-d62c-478e-aa5e-70d50147ff9c.png",
      "status": "complete",
      "title": "love story",
      "video_url": "https://cdn1.suno.ai/70b42142-d62c-478e-aa5e-70d50147ff9c.mp4"
    },
    {
      "audio_url": "https://cdn1.suno.ai/7dc77529-ddea-4c54-b7ed-46844a8aa612.mp3",
      "image_large_url": "https://cdn1.suno.ai/image_large_7dc77529-ddea-4c54-b7ed-46844a8aa612.png",
      "image_url": "https://cdn1.suno.ai/image_7dc77529-ddea-4c54-b7ed-46844a8aa612.png",
      "status": "complete",
      "title": "love story",
      "video_url": "https://cdn1.suno.ai/7dc77529-ddea-4c54-b7ed-46844a8aa612.mp4"
    }
  ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://myshell-wiki.gitbook.io/proconfig-tutorial/api-reference/widgets/28-suno-music-generator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
